Name:		xclip
Version:	0.10
Release:	3%{?dist}
License:	GPLv2+
Group:		Applications/System
Summary:	Command line clipboard grabber
URL:		http://sourceforge.net/projects/xclip
Source0:	http://downloads.sourceforge.net/xclip/%{name}-%{version}.tar.gz
Patch0:		xclip-0.10-utf8.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libXmu-devel, libICE-devel, libX11-devel, libXext-devel

%description
xclip is a command line utility that is designed to run on any system with an
X11 implementation. It provides an interface to X selections ("the clipboard")
from the command line. It can read data from standard in or a file and place it
in an X selection for pasting into other X applications. xclip can also print
an X selection to standard out, which can then be redirected to a file or
another program.

%prep
%setup -q
%patch0 -p1 -b .utf8

%build
%configure
make CDEBUGFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/xclip
%{_bindir}/xclip-copyfile
%{_bindir}/xclip-cutfile
%{_bindir}/xclip-pastefile
%{_mandir}/man1/xclip.1*

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.10-3
- Autorebuild for GCC 4.3

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.10-2
- enable utf8 support by default

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.10-1
- bump to 0.10
- new URL

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.08-4
- license tag fix
- rebuild for BuildID

* Wed Apr 25 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.08-3
- add extra BR for old FC versions

* Wed Apr 25 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.08-2
- smp_mflags

* Tue Apr 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.08-1
- initial package for Fedora Extras
